package il.ac.tau.cs.dqsq.qsq2axml;

import java.io.IOException;

/**
 * @author pettelno
 *
 * The builder of the activity file, "activity.xml", which is needed for
 * the termination detection algorithm. The activity file contains the
 * list of all relations (nodes) on a single peer and for each node its
 * current activity level (0 if the node is currently idle, or a positive
 * value if the node is active). Initially, the activity level of all nodes
 * is 0.
 * 
 */
public interface IActivityFile
{
	public void addRelation(String relationName) throws IOException;
}
