package il.ac.tau.cs.dqsq.termdetection;

/**
 * @author pettelno
 *
 * A node in the termination detection (TD) algorithm. Can be either local
 * (representing a node that physically located on this peer) or remote
 * (representing a node that is located on a remote peer).
 * In our implementation a node in the TD algorithm is a dQSQ relation. 
 * 
 */
abstract class RelationIdlenessManager
{
	protected String relationName; 
	
	abstract public int isIdle(int cycleID, String peer);
	public void terminateServices() {}
}
